/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/Other/CascadeStyleSheet.css to edit this template
*/
/* 
    Created on : Oct 26, 2025, 10:27:16 AM
    Author     : wantonada
*/

body {
    min-height: 100vh;
    overflow-x: hidden;
}

.bersihkan {
    clear: both;
}

a {
    text-decoration: none;
}

.form-control {
    /* height: auto !important; */
    font-size: 14px !important;
    border-radius: .25rem !important;
}

.textarea {
    display: block;
    width: 100%;
    height: auto;
    padding: 10px;
    margin: 0;
    font-size: 14px;
    font-weight: normal;
    line-height: 1.2;
    text-align: justify;
    color: #495057;
    background-color: #F2F4F6;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    box-shadow: inset 0 0 0 transparent;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

label {
    margin-bottom: 5px;
}

.card {
    border: none !important;
    box-shadow: none !important;
    background: none !important;
}

.card-body {
    border: 1px solid #ced4da;
    border-radius: 0 0 6px 6px;
}

/*halaman login*/

.loginleft {
    background: #fff;
}

.loginright {
    background: #af1f24;
}

.loginright img {
    width: 130px;
    height: auto;
    border-radius: 50%;
    background: #fff;
    padding: 3px;
}

.wrapinput fieldset {
    border-radius: 5px;
    background: #fff;
    border: 1px solid #af1f24;
}

.wrapinput legend {
    float: none;
    font-size: 13px;
    width: auto;
    margin: 0 10px;
    color: #af1f24;
    padding: 3px 10px;
    background: #fff;
    border-radius: 5px;
    letter-spacing: 1px;
}

/*.wrapinput:focus-within legend{
    display: block !important;
}

.wrapinput:focus-within input{
    padding: 0 12px 10px;
}*/

.wrapinput input {
    width: 100%;
    background: #fff;
    outline: none;
}

.wrapinput input:focus {
    background: #fff;
    box-shadow: none;
}

.wrapinput input:focus::placeholder {
    color: transparent;
}

.wrapinput input::placeholder {
    font-style: italic;
    letter-spacing: 1px;
    font-size: 13px;
}

input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0px 1000px white inset;
    background-color: transparent;
}

input:focus:-webkit-autofill {
    -webkit-box-shadow: 0 0 0px 1000px white inset;
    background-color: transparent;
}

.formlogin .btnloginleft {
    background: #fff;
    border: 1px solid #af1f24;
    color: #af1f24;
    width: 48%;
    float: left;
    font-weight: bold;
    padding: 7px;
}

.formlogin .btnloginleft:hover {
    background: red;
    border: 1px solid red;
    color: #fff;
}

.formlogin .btnloginright {
    background: #fff;
    color: #af1f24;
    width: 48%;
    float: right;
    border: 1px solid #af1f24;
    font-weight: bold;
    padding: 7px;
}

.formlogin .btnloginright:hover {
    border: 1px solid green;
    background: green;
    color: #fff;
}

.titlelogin {
    text-align: center;
    margin: 5px 0 5px 0;
}

.titlelogin .maintitlelogin {
    color: #fff;
    font-size: 22px;
    font-weight: bold;
}

/* Untuk mengubah background autofill pada Chrome/Safari (WebKit) */
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
    border: 1px solid #6c757d;
    -webkit-text-fill-color: #6c757d;
    -webkit-box-shadow: 0 0 0px 1000px #fff inset;
    transition: background-color 5000s ease-in-out 0s;
}

input:focus:-webkit-autofill {
    -webkit-box-shadow: 0 0 0px 1000px white inset;
    background-color: red;
}


/* end halaman login*/

/* Lebar sidebar */

.sidebar a {
    color: #333 !important;
    font-weight: 400;
}

.main-sidebar {
    background: #d2d6de !important;
}

/*.nav-link.active {
    background-color: #fff !important;
    color: #6c757d !important;
    box-shadow: none !important;
}*/

.nav-sidebar .nav-link>.right,
.nav-sidebar .nav-link>p>.right {
    right: 0.5rem !important;
    top: 0.9rem !important;
    font-size: 12px !important;
}

.nav-sidebar .nav-link p {
    font-size: 15px !important;
}

.nav-sidebar>.nav-item .nav-icon {
    margin-left: .05rem;
    /*font-size: 1rem !important;*/
    margin-right: .2rem;
    text-align: left;
    width: 1.6rem;
}

.nav-sidebar li.nav-item a .kanan {
    position: absolute;
    bottom: 9px;
}

.nav-sidebar>.nav-item>.nav-link:focus {
    background: none !important;
    /*    background: rgba(255, 255, 255, .2) !important;*/
}

.nav-sidebar>.nav-item>.nav-link.active {
    background-color: #6c757d !important;
    color: #fff !important;
    box-shadow: none !important;
}

.nav-sidebar>.nav-item.menu-open>.nav-link.active {
    background-color: #6c757d !important;
    color: #fff !important;
    box-shadow: none !important;
}

.nav-sidebar>.nav-item.menu-open>.nav-link {
    background: #c0c0c0 !important;
}

.nav-sidebar>.nav-item>.nav-treeview {
    background: #c0c0c0 !important;
    margin: 0;
    padding: 0;
    border-radius: 4px;
}

.nav-sidebar>.nav-item>.nav-treeview>.nav-item>.nav-link.active {
    color: #fff !important;
    background-color: #6c757d !important;
}

.nav-sidebar>.nav-item>.nav-treeview>.nav-item>.nav-link>.nav-icon {
    margin-left: .05rem;
    font-size: 1rem;
    margin-right: .2rem;
    text-align: right;
    width: 1.6rem;
}

/*.nav-sidebar li.nav-item a i{
    margin: 0 !important;
}*/

.navtop .dropdown .nav-link {
    color: #6c757d !important;
    text-transform: capitalize;
}

.card-header {
    background: #6c757d !important;
    border-top: 1px solid #6c757d;
    border-left: 1px solid #6c757d;
    border-right: 1px solid #6c757d;
    border-bottom: none;
    color: #fff;
    text-align: center;
    font-size: 25px;
}

.content-header {
    color: #6c757d;
}

.content-header .breadcrumb-item {
    color: #6c757d;
}

.content-header .breadcrumb-item a {
    color: #6c757d;
}

/*end nav menu and sidebar*/

.semuadata {
    overflow-x: auto;
}

table span {
    vertical-align: sub !important;
    font-weight: 400 !important;
    padding-bottom: 5px !important;
}

.newkaryawan .card-body {
    border-radius: 0 0 6px 6px;
    border-bottom: 1px solid #6c757d;
    border-left: 1px solid #6c757d;
    border-right: 1px solid #6c757d;
}

.newkaryawan .card-body ul {
    border-bottom: 1px solid #6c757d;
}

.newkaryawan .tab-content {
    background: #fff;
    /*    border: 1px solid #6c757d;*/
    border-top: none;
    padding: 20px;
    border-radius: 0 0 10px 10px;
}

.newkaryawan .nav-tabs .nav-link {
    pointer-events: none;
}

.newkaryawan .nav-tabs .nav-link.active {
    background: #fff !important;
    color: #6c757d !important;
    border-color: #6c757d #6c757d #fff;
}

.newkaryawan .nav-tabs .nav-link.active:hover {
    background: #fff !important;
    color: #6c757d !important;
    border-color: #6c757d #6c757d #fff;
}

.newkaryawan .nav-tabs .nav-link:hover {
    cursor: default;
    background: #fff !important;
    color: #6c757d !important;
    border-color: #6c757d #6c757d #fff;
    border-bottom: 1px solid #6c757d;
    border-left: 1px solid #fff;
    border-right: 1px solid #fff;
    border-top: 1px solid #fff;
    color: #fff !important;
}

.newkaryawan .card-body ul li.nav-item .nav-link:active:hover {
    background-color: #0d6efd;
    color: #6c757d;
    border-color: #6c757d #6c757d #fff;
}

.newkaryawan .form-section {
    margin-top: 15px;
}

.newkaryawan .btn-next,
.btn-prev {
    margin-top: 15px;
}

.newkaryawan .next-tab {
    background: #6c757d;
    color: #fff;
}

.newkaryawan .next-tab:hover {
    background: #c3141a;
    color: #fff;
}

section.content {
    padding: 15px 0;
}

.select2-container .select2-search--inline .select2-search__field {
    font-size: 14px !important;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    font-size: 14px !important;
    padding-left: 10px !important;
    padding-top: 0;
    padding-bottom: 5px;
}

.select2-selection__placeholder {
    font-weight: normal;
    font-size: 14px !important;
}

.select2-container--default .select2-selection--single {
    border: 1px solid #ced4da !important;
}

.select2-container .select2-selection--single {
    height: 37px !important;
}

.select2-results__option[aria-selected] {
    font-size: 14px !important;
}

.select2-results__option {
    font-size: 14px !important;
    border-bottom: 0.3px solid #ced4da !important;
    padding: 7px 3px !important;
    text-transform: capitalize !important;
}

.select2-results__options {
    padding: 10px;
}